Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Serveral tools neccessary for DVD burning.
Name:      	dvd+rw-tools
Version:   	7.1
Release:   	1
License: 	GNU/GPL
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
Group:     	Archiving/CD Burning
Source0: 	%{name}-%{version}.tar.gz
Source1: 	index.html
Patch0:		dvd+rw-tools-7.1-includes.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
Requires:	mkisofs

%description
Collection of tools to master DVD+RW/+R media. For further
information see http://fy.chalmers.se/~appro/linux/DVD+RW/.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

make WARN="-DDEFAULT_BUF_SIZE_MB=16"
cp %SOURCE1 index.html

%install
rm -rf %{buildroot}
%makeinstall

# mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}-%{release}
# mkdir -p %{buildroot}%{_mandir}/man1

# cd %{_builddir}/%{name}-%{version}
# cp -a	growisofs dvd+rw-format dvd+rw-booktype	\
# 	%{buildroot}%{_prefix}/bin
cp -a	index.html 				\
	%{buildroot}%{_docdir}/%{name}-%{version}-%{release}
# cp -a growisofs.1* %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%doc %{_docdir}/%{name}-%{version}-%{release}
%{_mandir}/man1/growisofs.1*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%changelog
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.1-1
- Version update
* Sun Nov 19 2006 Christian Metzen <metzench@ccux-linux.de> 7.0-2
- rebuild against latest cdrtools package
* Sun Oct 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0-1
- Version update
* Tue Apr 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.1-1
- Version Update
- added BuildRequires
* Sun Jun 19 2005 Christian Metzen <metzench@ccux-linux.de> 5.21.4.10.8-2
- Adjusted Group
* Sat Jun 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 5.21.4.10.8-1
- Version Update to 5.21.4.10.8
* Sat Aug 07 2004 Christian Metzen <metzench@ccux-linux.de> 5.20.4.10.8-1
- Initial Release
